<!doctype html>
<html lang="en">
	<!-- imports of javascript files -->
	<script src="../revealjs.code/dist/reveal.js"></script>
	<script src="../revealjs.code/plugin/markdown/markdown.js"></script>
	<script src="../revealjs.code/plugin/highlight/highlight.js"></script>
	<script src="../revealjs.code/plugin/notes/notes.js"></script>
	<script src="../revealjs.code/plugin/math/math.js"></script>
	<script src="../revealjs.code/plugin/quiz/js/quiz.js"></script>
	<script type="text/javascript" src="../hp5.code/dist/main.bundle.js"></script>


	
<!--############################################################################################################################################################-->

	<head>
		<title>Bugtest</title> <!-- write down your own header -->
		<meta charset="utf-8">
		<!-- imports of css style files -->
		<link rel="stylesheet" href="../revealjs.code/dist/reveal.css">
		<link rel="stylesheet" href="../revealjs.code/dist/theme/nfdi.css" id="theme"> <!--/revealjs.code/dist/theme-->
        <link rel="stylesheet" href="../revealjs.code/plugin/highlight/monokai.css">
		<link type="text/css" rel="stylesheet" media="all" href="../hp5.code/dist/styles/h5p.css" />	
	</head>

<!--############################################################################################################################################################-->

	<body>
	
		<div class="reveal"> 

			<div class="slides">

<!--############################################################################################################################################################-->

<!-- Example of a quiz in markdown 
    <section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%" data-markdown="../markdown_slides/vorlage_quiz.md" data-separator="^\n\n\n" data-separator-vertical="^\n\n"></section>

This is a section, which marks the beginning of a slide --> <!-- use the logo.svg in every section for the logo in position 95% 5% 
<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%"><script data-quiz>
    
	//Here is Javascript code, which is why we have a different comment notation
	//Example of a script for a quiz in RevealJS/JavaScript
	quiz = {
            "info": {
                    "name":    "Quizvorlage JavaScript",
                    "main":    "Zeige uns dein Wissen",
            },
            "questions": [
                    { // Question 1 - Multiple Choice, Single True Answer
                            "q": "Wo wird ein Datenmanagementplan NICHT gebraucht?",
                            "a": [
                                    {"option": "Unternehmen",      "correct": false},
                                    {"option": "Forschungseinrichtung",     "correct": false},
                                    {"option": "Tennisplatz",      "correct": true},
                                    {"option": "Skifahren",     "correct": true} // no comma here
                            ],
                            "correct": "<p><span>Das ist richtig</span>Beim Sport benötigt keinen Datenmanagementplan</p>",
                            "incorrect": "<p><span>Das ist falsch</span>In Industrie und Forschung ist ein Datenmanagementplan sehr wichtig! <em>go</em>noch ein Versuch?</p>" // no comma here
                    },
                    // more questions here
            ]
    }
</script>
</section>
-->

	<!-- This is an example of h5p content in revealjs -->
				<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">

		  		<h4>Bugtest</h4>
				
					</section>				

<!--############################################################################################################################################################-->

                <!-- Use external markdown resource, separate slides by three newlines; vertical slides by two newlines -->
				<!-- select your class, here "size" from the css templates in the code below -->
				<!-- select the markdown file you want to integrate in the presentation -->
                <section data-background-image="../../revealjs.code/logo.svg" 
          class="size"  data-background-size="200px" data-background-position="95% 5%" data-markdown="../markdown_slides/vorlage_0_inhaltsverzeichnis.md" data-separator="^\n\n\n" data-separator-vertical="^\n\n"></section>

<!--############################################################################################################################################################-->

                <!-- Use external markdown resource, separate slides by three newlines; vertical slides by two newlines -->
                <section data-background-image="../../revealjs.code/logo.svg" 
           class="left size" data-background-size="200px" data-background-position="95% 5%" data-markdown="../markdown_slides/vorlage_inhalt1.md" data-separator="^\n\n\n" data-separator-vertical="^\n\n"></section>

<!--############################################################################################################################################################-->

				<!-- This is an example code for integration of youtube videos in your presentation -->
				<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">
					<h4>Beispielvideo</h4>
				<iframe width="560" height="315" src="https://www.youtube.com/embed/llE7GphCRjI" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
				</section>

<!--############################################################################################################################################################-->

				<!-- This is an example of h5p content in revealjs -->
				<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">

		  		<h4>Beispielmaterial H5P </h4>
				
					<div id="h5p-container"></div> <!-- name of the container -->
				
					</section>	
				

<!--############################################################################################################################################################-->			

				<!-- This is an example code for integration of pure html/css slide, instead of markdown -->
				<section data-background-image="../../revealjs.code/logo.svg" 
          data-background-size="200px" data-background-position="95% 5%">
		  		<div><font size="5">Dokumentationen:<font></div>
				<!-- Select your font size here instead of choosing a css template, like you would do in markdown -->
				<div><font size="3" > <a href="https://revealjs.com/">RevealJS Dokumentation</a></font></div>
				<div><font size="3" > <a href="https://www.markdownguide.org/basic-syntax/">Markdown Dokumentation</a></font></div>
				<div><font size="3" > <a href="https://nfdi4ing.pages.rwth-aachen.de/education/education-pages/revealjs/html_slides/dokumentation.html#/">Schnittstelle Dokumentation</a></font></div>
				<br>
				<div><font size="5">Kontakt:<font></div>
				
				<div><font size="3">Projektmanager: m.moser@wzl.rwth-aachen.de,t.hamann@wzl.rwth-aachen.de<font></div>
				<div><font size="3">Technische Umsetzung: l.lipka@wzl.rwth-aachen.de,j.werheid@wzl.rwth-aachen.de<font></div>
				<div><font size="3">Werkzeugmaschinenlabor RWTH Aachen, Lehrstuhl für Fertigungsmesstechnik und Qualitätsmanagement</font></div>

				<br>
				<div><font size="3">[1] H5P Lizenzhinweis (MIT-Licence)<font></div>
			
				<div><font size="2">Copyright (c) 2022 Joubel

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</font></div>

				</section>

            </div>
		</div>


		<!-- Here the user needs to reference his h5p content and name it. At can than be placed as a div container -->

		<script type="text/javascript" src="../hp5.code/dist/main.bundle.js">
			//const { H5P } = H5PStandalone;

			//async function setup() {
			//new H5P(document.getElementById('h5p-container-1'), //name of the container
			const el = document.getElementById('h5p-container');
			const options = {
				h5pJsonPath: '../h5p_slides/lueckentext_dm',
				frameJs: '../hp5.code/dist/frame.bundle.js',
				frameCss: '../hp5.code/dist/styles/h5p.css'
			};
			new H5PStandalone.H5P(el, options);
			
			// } setup();
		</script>

		<!-- Select packages and options from the RevealJS Javascript code, see the documentation for further options -->
		<script>
			Reveal.initialize({
			slideNumber: 'c',
			// The "normal" size of the presentation, aspect ratio will
			// be preserved when the presentation is scaled to fit different
			// resolutions. Can be specified using percentage units.
			width: 1024,
			height: 700,
			// Factor of the display size that should remain empty around
			// the content
			margin: 0.04,
			// Bounds for smallest/largest possible scale to apply to content
			minScale: 0.2,
			maxScale: 2.0
			});
					
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,

				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes, RevealMath.KaTeX ]
			});
	
			Reveal.initialize({
			dependencies: [
				// other dependencies
				{ src: '../revealjs.code/plugin/quiz/js/quiz.js', async: true, callback: function() { prepareQuizzes({}); } }
				// other dependencies
			]
			});
		</script>

	</body>

</html>

<!--############################################################################################################################################################-->

	<!-- Here are two css templates we use. The first for the logo and the second for the markdown slides, you can write new ones and select them above -->
		<style>
			.lizenz {
				position: absolute;
				top: 80%;
				left: 90%;
			}
		</style>

		<style>
		.left {
			text-align: left;
		}
		.size {
			font-size: 30px;
		}
		</style>

<!--############################################################################################################################################################-->

<!-- This is the code for the license we use -->
<div class="lizenz">
<a rel="license" href="http://creativecommons.org/licenses/by/4.0/"><img alt="Creative Commons License" style="border-width:10" src="https://i.creativecommons.org/l/by/4.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://		creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.
</div>
